Authentication
Learn how to authenticate API requests to BillPipe.
Authentication
The BillPipe API uses API keys to authenticate requests. You can view and manage your API keys in the BillPipe dashboard within your workspace settings.
Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.
Making Authenticated Requests
Authentication to the API is performed via HTTP Bearer Auth. Provide your API key as the bearer token value in the Authorization header of your HTTP request.
curl https://api.billpipe.io/v1/workspaces \
-H "Authorization: Bearer YOUR_API_KEY"
All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.

